@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';

@import "_collectionBrowser-variables.scss";


@mixin _add_collection-browser-mold-select-icon ($key) {
    &-#{$key}-view {
        &-inactive {
            background-image: url("img/icon_view_#{$key}_default.png");
            cursor: pointer;
            border: $collection-browser__button--border-width solid transparent;

            &:hover {
                background-color: $collection-browser__button-hover--bg-color;
                border-color: $collection-browser__button-hover--border-color;
                background-image: url("img/icon_view_#{$key}_hover.png");
            //    box-shadow: $collection-browser__button-hover--box-shadow;
                transition: background-color .1s, border-color .1s;
            }
        }
        &-active {
            background-image: url("img/icon_view_#{$key}_disabled.png");
        }
    }
}

@mixin _single-row-tile ($row-padding-x:$collection-browser__side-content-indent--padding, $image-overflow: $collection-browser__grid-tile-image--overflow-x ){
    .yw-grid-view {
        &,
        body.gecko &,
        body.webkit &,
        body.edge & {
            display: block;
        }

        &-tile {
            &,
            body.gecko &,
            body.webkit &,
            body.edge & {
                width: 100%;
                min-height: 0;
                max-height: none;
                max-width: 100%;
                height: auto;
                margin-top: nth($collection-browser__grid-tile--margin, 1);
                float: none;

                &:first-child {
                    margin-top: 0;
                }
            }
            
            .yw-grid-view-tile-thumbnail {
                position: relative;
                height: auto;
                min-height: 0;
                max-height: none;
                width: 100%;
                min-width: 100%;
                max-width: 100%;
                left: auto;
                margin: 0 (-1 * $image-overflow);
                transform: translate(0, 0);               
            }
            .yw-image-container,
            .yw-grid-view-tile-thumbnail {
                ~ .z-label {
                    position: relative;
                    top: auto;
                }
            }
            &.yw-grid-view-tile-narrow {
                .yw-grid-view-tile-thumbnail {
                    max-height: none;
                    width: auto;
                    min-width: 60%;
                }
            }
        }
    }
}